OrilRiver - great Room/Hall reverb

VST, AU, etc. plug-in Virtual Effects discussion
KVRAF
3094 posts since 18 May, 2003 from Sweden

Post Thu Sep 16, 2021 1:44 am

CinningBao wrote:
Tue Aug 11, 2020 1:28 am
Would like to get this working in Logic 10.5.1 but Plugin Manager reports 2.0.2 even though I know I have the 2.03 beta installed. Plogue Bidule can load the AU just fine so is there anything I can do to convince Logic to validate and load it?

Looking at the log, all stages passed apart from the render tests:

--------------------------------------------------
RENDER TESTS:
Implements: AudioUnitProcess, AudioUnitProcessMultiple
Input Format: AudioStreamBasicDescription: 2 ch, 44100 Hz, 'lpcm' (0x00000029) 32-bit little-endian float, deinterleaved
Output Format: AudioStreamBasicDescription: 2 ch, 44100 Hz, 'lpcm' (0x00000029) 32-bit little-endian float, deinterleaved
Render Test at 512 frames
ERROR: -4 IN CALL AudioUnitRender

* * FAIL
--------------------------------------------------
AU VALIDATION FAILED: CORRECT THE ERRORS ABOVE.
--------------------------------------------------
Go to Preferences/Plug-in Manager… . Under Manufacturer, click Denis Thianov.

The plug will appear in the main window. The check box under Use will be empty. Just click in it, and Oril River is ready to use.

When you then try to insert it in a track in Inspector, it won't appear alphabetically. But on top of the list, you will see [incompatible]. Just click and select Oril River/Stereo as any other AU.

I just tested with LPX 5.1 in Mojave 10.14.6. Oril River works and renders just fine when I Offline Bounce.

When I save the project and then reopen it, Logic displays a warning that I'm using an incompatible plug. Just ignore it.

OTOH, even though Oril River is nice, I don't quite see any reason to use it since Logic's built-in verbs should cover just about any user case. And please don't blame me if something bad happens and a project is corrupted – I'm just telling what works for me on my system. ;-)
If it were easy, anybody could do it!

KVRAF
3094 posts since 18 May, 2003 from Sweden

Post Thu Sep 16, 2021 1:53 am

mubakka wrote:
Thu Sep 16, 2021 12:45 am
I cant get this to work on my mac.. there is no .dmg file in the zip download.. can someone please help :(
You're right there's no dmg – there's never been one. Just drag the Component, or VST, or VST3 into the respective folder in your [Mac HD]/Library/Audio/Plug-Ins. That's it.
Last edited by Spitfire31 on Thu Sep 16, 2021 2:21 am, edited 1 time in total.
If it were easy, anybody could do it!

User avatar
KVRAF
6619 posts since 13 Jan, 2003 from Darkest Kent, UK

Post Thu Sep 16, 2021 2:06 am

CrystalWizard wrote:
Tue Apr 21, 2020 7:22 pm
I would also like to know more about the variations. By now someone must have some experience to share? Yeah, yeah, i know “just try them all and see.” :)
I use Orilriver all the time but never really got my head around the variations. It would be handy if there was a small guide to them like Valhalla has done on Supermassive ("this algo, dense early reflections, slow attack" etc) I can hear differences but not really skilled enough to pick them apart at a sound level.
()_()
(O.o)
(")(")

KVRAF
2050 posts since 15 Apr, 2004 from Capital City, UK

Post Thu Sep 16, 2021 3:12 am

Spitfire31 wrote:
Thu Sep 16, 2021 1:44 am
CinningBao wrote:
Tue Aug 11, 2020 1:28 am
Would like to get this working in Logic 10.5.1 but Plugin Manager reports 2.0.2 even though I know I have the 2.03 beta installed. Plogue Bidule can load the AU just fine so is there anything I can do to convince Logic to validate and load it?

Looking at the log, all stages passed apart from the render tests:

--------------------------------------------------
RENDER TESTS:
Implements: AudioUnitProcess, AudioUnitProcessMultiple
Input Format: AudioStreamBasicDescription: 2 ch, 44100 Hz, 'lpcm' (0x00000029) 32-bit little-endian float, deinterleaved
Output Format: AudioStreamBasicDescription: 2 ch, 44100 Hz, 'lpcm' (0x00000029) 32-bit little-endian float, deinterleaved
Render Test at 512 frames
ERROR: -4 IN CALL AudioUnitRender

* * FAIL
--------------------------------------------------
AU VALIDATION FAILED: CORRECT THE ERRORS ABOVE.
--------------------------------------------------
Go to Preferences/Plug-in Manager… . Under Manufacturer, click Denis Thianov.

The plug will appear in the main window. The check box under Use will be empty. Just click in it, and Oril River is ready to use.

When you then try to insert it in a track in Inspector, it won't appear alphabetically. But on top of the list, you will see [incompatible]. Just click and select Oril River/Stereo as any other AU.

I just tested with LPX 5.1 in Mojave 10.14.6. Oril River works and renders just fine when I Offline Bounce.

When I save the project and then reopen it, Logic displays a warning that I'm using an incompatible plug. Just ignore it.

OTOH, even though Oril River is nice, I don't quite see any reason to use it since Logic's built-in verbs should cover just about any user case. And please don't blame me if something bad happens and a project is corrupted – I'm just telling what works for me on my system. ;-)
Well, I can't complain about the comprehensive workaround! Thanks Spitfire31. I'll run a test in a little while :)

User avatar
KVRist
89 posts since 25 Jun, 2014

Post Thu Sep 16, 2021 2:38 pm

I still prefer this over my paid ones almost every time.

KVRAF
5741 posts since 9 Jul, 2002 from Helsinki

Post Thu Sep 16, 2021 8:49 pm

I haven't bought any algo reverbs because of Orilriver. Fantastic plugin :tu:

Return to “Effects”